SUBROUTINE F(x,y,Z) 

IMPLICIT NONE

REAL, INTENT(in) :: x,y
REAL, INTENT(out) :: Z
!z=(x**2 +y**2)-1
z=(x**2 +y**2)**2+x**2-y**2
!z=x-cos(y)
END SUBROUTINE F


PROGRAM implicitna 
USE IFPORT
IMPLICIT NONE
INTEGER, PARAMETER :: n=501
INTEGER :: i,j,K
REAL:: z1,z2

REAL :: a,b,c,d
REAL, DIMENSION(n) :: x,y

a=-1
b=1
c=-1
d=1



DO i=1, n 
x(i)=a+(i-1)*((b-a)/(n-1))
y(i)=c+(i-1)*((d-c)/(n-1))
END DO

  
  
DO i=1,n
   DO j=1,n-1

   CALL F(x(i),y(n-j+1),z1)
   CALL F(x(i),y(n-j),z2)
   OPEN (UNIT=7, FILE="ispis.dat",STATUS="unknown")

   IF (z1*z2 .le. 0 ) THEN 

      IF (z1 .eq. 0) THEN
         WRITE (UNIT=7,FMT=*) x(i)  , y(n-j+1) 
         ELSE 
         WRITE (UNIT=7,FMT=*)  x(i) ,  y(n-j) 

      END IF
   END IF
   END DO 
END DO

DO j=1,n
   DO i=1,n-1

   CALL F(x(n-i+1),y(j),z1)
   CALL F(x(n-i),y(j),z2)
   OPEN (UNIT=7, FILE="ispis.dat",STATUS="unknown")
   
   IF (z1*z2 .le. 0 ) THEN 

      IF (z1 .eq. 0) THEN
          WRITE (UNIT=7,FMT=*) x(n-i+1)  , y(j) 
          ELSE 
          WRITE (UNIT=7,FMT=*)  x(n-i) ,  y(j) 
      END IF
   END IF
   END DO 
END DO

CLOSE(UNIT=7)

k=SYSTEM("D:\GNUPLOT\wgnuplot.exe crt.dem")
	IF( k .EQ. -1 ) STOP 'Could not spawn gnuplot program'

END PROGRAM implicitna